Subject: Re: [net-next 14/15] net/mlx5: Light probe local SFs

From: Jakub Kicinski <[email-masked]>
Date: Thu, 15 Jun 2023 09:37:01 -0700

On Thu, 15 Jun 2023 12:51:09 +0200 Jiri Pirko wrote:
> The problem is scalability. SFs could be activated in parallel, but the
> cmd that is doing that holds devlink instance lock. That serializes it.
> So we need to either:
> 1) change the devlink locking to be able to execute some of the cmds in
>    parallel and leave the activation sync
> 2) change the activation to be async and work with notifications
> 
> I like 2) better, as the 1) maze we just got out of recently :)
> WDYT?

I guess we don't need to wait for the full activation. Is the port
creation also async, then, or just the SF devlink instance creation?